# Copyright 2014-2017 CERN.

Name:           HEP_OSlibs
Version:        7.1.10
Release:        0%{?dist}
Summary:        HEP OS dependencies
Group:          System/Middleware
License:        LGPLv3+
ExclusiveArch:  i686 x86_64 aarch64

Requires: alsa-lib(%{__isa})
Requires: alsa-lib-devel(%{__isa})

%ifnarch i686
Requires: atlas(%{__isa})
Requires: atlas-devel(%{__isa})
Requires: bind-utils(%{__isa})
Requires: bzip2(%{__isa})
%endif

Requires: bzip2-devel(%{__isa})

%ifnarch i686
Requires: compat-db(%{__isa})
Requires: compat-glibc-headers(%{__isa})
%endif

Requires: compat-libf2c-34(%{__isa})
Requires: compat-libgfortran-41(%{__isa})
Requires: compat-libstdc++-33(%{__isa})
Requires: compat-openldap(%{__isa})

%ifnarch i686
Requires: dbus(%{__isa})
Requires: dbus-devel(%{__isa})
%endif

Requires: e2fsprogs-libs(%{__isa})
Requires: freetype-devel(%{__isa})
Requires: gamin(%{__isa})

%ifnarch i686
Requires: gcc-c++(%{__isa})
%endif

Requires: gdbm(%{__isa})
Requires: giflib(%{__isa})

%ifnarch i686
Requires: git(%{__isa})
%endif

Requires: glib2-devel(%{__isa})
Requires: glibc-devel(%{__isa})
Requires: glibmm24(%{__isa})
Requires: gmp(%{__isa})

%ifnarch i686
Requires: gperf(%{__isa})
%endif

Requires: krb5-devel(%{__isa})
Requires: libaio(%{__isa})
Requires: libatomic(%{__isa})

%ifnarch i686
Requires: libcap(%{__isa})
Requires: libcap-devel(%{__isa})
Requires: libcap-ng-devel(%{__isa})
%endif

Requires: libdrm(%{__isa})
Requires: libdrm-devel(%{__isa})
Requires: libgfortran(%{__isa})
Requires: libidn(%{__isa})
Requires: libpng(%{__isa})
Requires: libpng-devel(%{__isa})
Requires: libpng12(%{__isa})
Requires: libsepol(%{__isa})
Requires: libtiff(%{__isa})
Requires: libtool-ltdl(%{__isa})

%ifnarch i686
Requires: libtool(%{__isa})
%endif

Requires: libuuid-devel(%{__isa})
Requires: libX11(%{__isa})
Requires: libX11-devel(%{__isa})
Requires: libXau(%{__isa})
Requires: libXau-devel(%{__isa})
Requires: libxcb(%{__isa})
Requires: libxcb-devel(%{__isa})
Requires: libXcomposite(%{__isa})
Requires: libXcomposite-devel(%{__isa})
Requires: libXcursor(%{__isa})
Requires: libXcursor-devel(%{__isa})
Requires: libXdamage(%{__isa})
Requires: libXdamage-devel(%{__isa})
Requires: libXdmcp-devel(%{__isa})
Requires: libXext-devel(%{__isa})
Requires: libXfixes(%{__isa})
Requires: libXfixes-devel(%{__isa})
Requires: libXft-devel(%{__isa})
Requires: libXi(%{__isa})
Requires: libXi-devel(%{__isa})
Requires: libXinerama(%{__isa})
Requires: libxml2-devel(%{__isa})
Requires: libXmu(%{__isa})
Requires: libXpm-devel(%{__isa})
Requires: libXpm(%{__isa})
Requires: libXp(%{__isa})
Requires: libXrandr(%{__isa})
Requires: libXrandr-devel(%{__isa})
Requires: libXScrnSaver(%{__isa})
Requires: libXScrnSaver-devel(%{__isa})
Requires: libxshmfence(%{__isa})
Requires: libXtst(%{__isa})
Requires: libXtst-devel(%{__isa})
Requires: libXxf86vm-devel(%{__isa})
Requires: mesa-dri-drivers(%{__isa})
Requires: mesa-libEGL(%{__isa})
Requires: mesa-libEGL-devel(%{__isa})
Requires: mesa-libGL(%{__isa})
Requires: mesa-libGL-devel(%{__isa})
Requires: mesa-libGLU-devel(%{__isa})
Requires: ncurses-devel(%{__isa})
Requires: openldap(%{__isa})
Requires: openssl098e(%{__isa})

%ifnarch i686
Requires: pciutils(%{__isa})
Requires: pciutils-devel(%{__isa})
%endif

Requires: perl-CGI
Requires: perl-ExtUtils-Embed

Requires: redhat-lsb-core(%{__isa})
Requires: tk(%{__isa})

Requires: xcb-proto
Requires: xorg-x11-proto-devel
Requires: xorg-x11-xtrans-devel
Requires: xkeyboard-config

%ifnarch i686
Requires: wget(%{__isa})
Requires: zsh(%{__isa})
%endif

%description
This rpm captures the OS dependencies of the LHC experiment applications on 
CentOS7. The package was put together with the help of the WLCG Application
Area and of WLCG Operations task forces and aims to cover the dependencies of
all four LHC experiments. This CentOS7 version was derived from the analogous 
metapackage for SL6. The single rpm initially developed with both 64bit and 
32bit package dependencies has been replaced by two separate rpms including 
only the corresponding packages. Though the primary target of this rpm is 
CentOS7/x86_64, the use of generic %{__isa} tags will eventually simplify
support for architectures other than x86_64 and i686, such as aarch64.

%files
%defattr(-,root,root,-)
%doc

%changelog

* Wed Sep 27 2017 Andrea Valassi 7.1.10-0
Add 64-bit git as requested by LHCb. Require 99 packages (93 x86-64, 6 noarch) 
on x86_64 and 80 packages (74 x86-32, 6 noarch) on i686. Note however that, as 
of this version, HEP_OSlibs will no longer be built and distributed for i686.

* Mon Jun 19 2017 Andrea Valassi 7.1.9-0
Add more dependencies needed by EP-SFT to build libQtWebEngine: 
alsa-lib-devel, dbus-devel, glib2-devel, libcap-devel, libcap-ng-devel, 
libXcomposite-devel, libXcursor-devel, libXi-devel, libXrandr-devel, 
libXScrnSaver-devel, libXtst-devel, mesa-libEGL, mesa-libEGL-devel, 
mesa-libGL, pciutils-devel. Require 98 packages (92 x86-64, 6 noarch) 
on x86_64 and 80 packages (74 x86-32, 6 noarch) on i686.

* Fri Jun 09 2017 Andrea Valassi 7.1.8-0
Add several dependencies needed to build libQtWebEngine, as requested by LHCb: 
libXcomposite, libXScrnSaver, gperf, pciutils, xcb-proto, xkeyboard-config,
xorg-x11-xtrans-devel. Explicitly add also some dependencies that were already
implicitly included (libdrm, libX11, libXau, libxcb, libXdamage, libXfixes, 
libXi, libxshmfence, dbus, libcap, xorg-x11-proto-devel). Require 83 packages 
(77 x86-64, 6 noarch) on x86_64 and 69 packages (63 x86-32, 6 noarch) on i686.

* Mon Mar 13 2017 Andrea Valassi 7.1.7-0
Add atlas and atlas-devel, as requested by ATLAS. Require 65 packages
(63 x86-64, 2 noarch) on x86_64 and 55 packages (53 x86-32, 2 noarch) on i686.

* Tue Nov 29 2016 Andrea Valassi 7.1.6-0
Add bind-utils, as requested by ALICE. Require 63 packages (61 x86-64,
2 noarch) on x86_64 and 55 packages (53 x86-32, 2 noarch) on i686.

* Mon Jul 04 2016 Andrea Valassi 7.1.5-0
Add back libpng12 on CentOS7, as requested by ATLAS to run SLC6 software
on CentOS7 nodes. Require 62 packages (60 x86-64, 2 noarch) on x86_64
and 55 packages (53 x86-32, 2 noarch) on i686.

* Mon Jul 04 2016 Andrea Valassi 7.1.4-0
Remove 32bit wget, which does not exist. Require 61 packages (59 x86-64,
2 noarch) on x86_64 and 54 packages (52 x86-32, 2 noarch) on i686.

* Mon Jul 04 2016 Andrea Valassi 7.1.3-0
Add libpng (libpng15 on CentOS7) as requested by ATLAS and remove libpng12,
fixing my previous mistake. Require 61 packages (59 x86-64, 2 noarch) on
x86_64 and 55 packages (53 x86-32, 2 noarch) on i686.

* Fri Jul 01 2016 Andrea Valassi 7.1.2-0
Add wget and redhat-lsb-core (requested by the CERN IT benchmarking team).
Require 61 packages (59 x86-64, 2 noarch) on x86_64 and 55 packages
(53 x86-32, 2 noarch) on i686.

* Tue Jun 28 2016 Andrea Valassi 7.1.1-0
Relax all unnecessary differences between i686 and x86_64 dependencies:
install all packages in both rpms, with the exception of six packages that
are included only for x86_64 but give issues on i686. Require 59 packages
(57 x86-64, 2 noarch) on x86_64 and 53 packages (51 x86-32, 2 noarch) on i686.

* Tue Jun 28 2016 Andrea Valassi 7.1.0-0
Separate 64-bit and 32-bit meta-rpms using generic "__isa" tags
(many thanks to Rolf Seuster for his implementation suggestions).
Require the same 96 packages (49 x86-64, 45 x86-32, 2 noarch) as in 7.0.4
(49 x86-64 and 2 noarch in x86_64 rpm, 45 x86-32 and 2 noarch in i686 rpm).

* Tue Jun 28 2016 Andrea Valassi 7.0.4-0
Add 64-bit libpng12 (requested by ATLAS). Require 96 packages (49 x86-64, 
45 x86-32, 2 noarch). Restructure the spec file using different "Requires"
tags, preparing for the future split of the 64-bit and 32-bit meta-rpms.

* Tue May 31 2016 Andrea Valassi 7.0.3-0
Add 64-bit libatomic (new ROOT dependency).
Require 95 packages (48 x86-64, 45 x86-32, 2 noarch).

* Tue May 31 2016 Andrea Valassi 7.0.2-0
Use generic "__isa_name" tags instead of x86-specific architecture tags
(see http://www.rpm.org/wiki/PackagerDocs/ArchDependencies). Add 64-bit bzip2 
(requested by GENSER). Require 94 packages (47 x86-64, 45 x86-32, 2 noarch).

* Thu Oct 02 2014 Andrea Valassi 7.0.1-0
Add perl-CGI and perl-ExtUtils-Embed (requested by CMS for SL6) using CentOS7
compatible syntax. Require 93 packages (46 x86-64, 45 x86-32, 2 noarch).

* Wed Oct 01 2014 Andrea Valassi 7.0.0-0
First stable version with 91 packages (46 for x86-64, 45 for x86-32). 
Removed CentOS7 from the library name and renumbered as version 7.0.0.
Derived from the SL6 version, after removing packages that do not exist
in CERN CentOS7, packages that are already installed in CERN CentOS7,
and packages that are pulled in as dependencies of others in this metarpm.
